-- Test redsys_signed_request
set client_min_messages to warning;
create extension if not exists pgtap;
reset client_min_messages;

begin;

select plan(5);

set search_path to camper, public;

select has_composite('camper', 'redsys_signed_request', 'Composite type camper.redsys_signed_request should exist');
select columns_are('camper', 'redsys_signed_request', array['merchant_parameters', 'signature', 'signature_version']);
select col_type_is('camper'::name, 'redsys_signed_request'::name, 'merchant_parameters'::name, 'text');
select col_type_is('camper'::name, 'redsys_signed_request'::name, 'signature'::name, 'text');
select col_type_is('camper'::name, 'redsys_signed_request'::name, 'signature_version'::name, 'text');


select *
from finish();

rollback;
